> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Source Accounts

> Gets all the transaction source accounts for an instance.



## OpenAPI

````yaml GET /v0/source-accounts
openapi: 3.1.0
info:
  title: Teal API
  version: '0.1'
servers:
  - url: https://api.sandbox.teal.dev
    description: Sandbox
  - url: https://api.teal.dev
    description: Production
security: []
paths:
  /v0/source-accounts:
    get:
      tags:
        - Transaction Sources
      summary: Get Transaction Source Accounts
      description: Gets all the transaction source accounts for an instance.
      operationId: get_source_accounts_v0_source_accounts_get
      parameters:
        - name: ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              A comma separated list of Source Account IDs. Only return Source
              Accounts with the specified IDs. Returns 404 if an ID is not
              found, 403 if any ID is not authorized.
            teal_explode: false
            title: Ids
          description: >-
            A comma separated list of Source Account IDs. Only return Source
            Accounts with the specified IDs. Returns 404 if an ID is not found,
            403 if any ID is not authorized.
        - name: teal-instance-id
          in: header
          required: true
          schema:
            type: string
            description: The Teal instance ID
            title: Teal-Instance-Id
          description: The Teal instance ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SourceAccount'
                title: Response Get Source Accounts V0 Source Accounts Get
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TealErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    SourceAccount:
      properties:
        id:
          type: string
          title: Id
          examples:
            - KdE7Q37LeQhFQCfEejfibT
        name:
          type: string
          title: Name
          description: >-
            Deprecated. Returns the linked ledger's name; read it from the
            ledger directly.
          deprecated: true
        debit_credit:
          $ref: '#/components/schemas/DebitCredit'
          description: Whether the account is a debit or credit account.
        ledger_id:
          type: string
          title: Ledger Id
          description: The ledger ID where transactions will be posted.
        type:
          $ref: '#/components/schemas/SourceType'
          description: The type of the transaction source.
        business_personal:
          $ref: '#/components/schemas/BusinessOrPersonal'
          description: Whether the account is a business or personal account.
        invert_transaction_amounts:
          type: boolean
          title: Invert Transaction Amounts
          description: If true transaction amounts are inverted during manual import only.
          default: false
      type: object
      required:
        - id
        - name
        - debit_credit
        - ledger_id
        - type
        - business_personal
      title: SourceAccount
    TealErrorResponse:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          description: A description of the error for API developers.
        data:
          title: Data
          description: Data associated with the error.
        display_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Message
          description: A description of the error for end users.
        error_code:
          anyOf:
            - $ref: '#/components/schemas/TealErrorCode'
            - type: 'null'
          description: Error code associated with the error.
      type: object
      required:
        - message
      title: TealErrorResponse
    DebitCredit:
      type: string
      enum:
        - debit
        - credit
      title: DebitCredit
    SourceType:
      type: string
      enum:
        - plaid
        - manual
      title: SourceType
    BusinessOrPersonal:
      type: string
      enum:
        - business
        - personal
      title: BusinessOrPersonal
    TealErrorCode:
      type: string
      enum:
        - invalid_date
        - invalid_ledger
        - missing_parameters
        - duplicate_name
        - duplicate_sort_code
        - invalid_ledger_type
        - invalid_ledger_report_cash_flow
        - deleting_required_ledger
        - repeated_tag_group
        - deleting_transaction_line
        - modifying_read_only_ledger
        - debits_credits_not_equal
        - modifying_opening_balance_journal_entry
        - modifying_accrual_journal_entry
        - modifying_payment_application_journal_entry
        - invalid_deferral_ledger
        - duplicate_statement_ending_date
        - reconciliation_in_progress
        - reconciled_balance_does_not_match
        - journal_entry_outside_reconciliation_period
        - parsed_statement_balance_mismatch
        - entries_start_date_after_transactions
        - entries_start_date_after_reconciliations
        - entries_start_date_after_journal_entries
      title: TealErrorCode
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.
      flows:
        password:
          scopes: {}
          tokenUrl: https://developer.teal.dev

````